Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBase.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBase.cs	(revision 1994)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBase.cs	(revision 2027)
@@ -29,5 +29,5 @@
   /// The base class for all operators.
   /// </summary>
-  public abstract class OperatorBase : ConstrainedItemBase, IOperator {
+  public abstract class OperatorBase : ItemBase, IOperator {
     private string myName;
     /// <summary>
@@ -80,13 +80,8 @@
       get { return mySubOperators.AsReadOnly(); }
     }
-    private Dictionary<string, IVariableInfo> myVariableInfos;
-    /// <inheritdoc/>
-    public virtual ICollection<IVariableInfo> VariableInfos {
-      get { return myVariableInfos.Values; }
-    }
-    private Dictionary<string, IVariable> myVariables;
-    /// <inheritdoc/>
-    public virtual ICollection<IVariable> Variables {
-      get { return myVariables.Values; }
+    private Dictionary<string, IParameter> myParameters;
+    /// <inheritdoc/>
+    public virtual ICollection<IParameter> Parameters {
+      get { return myParameters.Values; }
     }
 
@@ -100,6 +95,5 @@
       myBreakpoint = false;
       mySubOperators = new List<IOperator>();
-      myVariableInfos = new Dictionary<string, IVariableInfo>();
-      myVariables = new Dictionary<string, IVariable>();
+      myParameters = new Dictionary<string, IParameter>();
     }
 
@@ -116,10 +110,7 @@
       for (int i = 0; i < SubOperators.Count; i++)
         clone.AddSubOperator((IOperator)Auxiliary.Clone(SubOperators[i], clonedObjects));
-      clone.myVariableInfos.Clear();
-      foreach (IVariableInfo variableInfo in myVariableInfos.Values)
-        clone.AddVariableInfo((IVariableInfo)Auxiliary.Clone(variableInfo, clonedObjects));
-      clone.myVariables.Clear();
-      foreach (IVariable variable in myVariables.Values)
-        clone.AddVariable((IVariable)Auxiliary.Clone(variable, clonedObjects));
+      clone.myParameters.Clear();
+      foreach (IParameter parameter in myParameters.Values)
+        clone.AddParameter((IParameter)Auxiliary.Clone(parameter, clonedObjects));
       return clone;
     }
@@ -142,31 +133,4 @@
       OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
     }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator) {
-      mySubOperators.Add(subOperator);
-      if (IsValid()) {
-        OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(mySubOperators.Count - 1);
-        return false;
-      }
-    }
-    /// <inheritdoc cref="HeuristicLab.Core.IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, 
-    /// out System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, out ICollection<IConstraint> violatedConstraints) {
-      mySubOperators.Add(subOperator);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorAdded(subOperator, mySubOperators.Count - 1);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(mySubOperators.Count - 1);
-        return false;
-      }
-    }
     /// <inheritdoc cref="HeuristicLab.Core.IOperator.AddSubOperator(HeuristicLab.Core.IOperator, int)"/>
     /// <param name="subOperator">The sub operator to add.</param>
@@ -176,31 +140,4 @@
       OnSubOperatorAdded(subOperator, index);
     }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, int index) {
-      mySubOperators.Insert(index, subOperator);
-      if (IsValid()) {
-        OnSubOperatorAdded(subOperator, index);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(index);
-        return false;
-      }
-    }
-    /// <inheritdoc cref="IOperator.TryAddSubOperator(HeuristicLab.Core.IOperator, int, out
-    /// System.Collections.Generic.ICollection&lt;HeuristicLab.Core.IConstraint&gt;)"/>
-    /// <param name="subOperator">The sub operator to add.</param>
-    /// <remarks>Calls <see cref="OnSubOperatorAdded"/>.</remarks>
-    public virtual bool TryAddSubOperator(IOperator subOperator, int index, out ICollection<IConstraint> violatedConstraints) {
-      mySubOperators.Insert(index, subOperator);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorAdded(subOperator, index);
-        return true;
-      } else {
-        mySubOperators.RemoveAt(index);
-        return false;
-      }
-    }
     /// <inheritdoc/>
     /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
@@ -210,37 +147,11 @@
       OnSubOperatorRemoved(op, index);
     }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
-    public virtual bool TryRemoveSubOperator(int index) {
-      IOperator op = mySubOperators[index];
-      mySubOperators.RemoveAt(index);
-      if (IsValid()) {
-        OnSubOperatorRemoved(op, index);
-        return true;
-      } else {
-        mySubOperators.Insert(index, op);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnSubOperatorRemoved"/>.</remarks>
-    public virtual bool TryRemoveSubOperator(int index, out ICollection<IConstraint> violatedConstraints) {
-      IOperator op = mySubOperators[index];
-      mySubOperators.RemoveAt(index);
-      if (IsValid(out violatedConstraints)) {
-        OnSubOperatorRemoved(op, index);
-        return true;
-      } else {
-        mySubOperators.Insert(index, op);
-        return false;
-      }
-    }
     #endregion
 
-    #region VariableInfo Methods
-    /// <inheritdoc/>
-    public virtual IVariableInfo GetVariableInfo(string formalName) {
-      IVariableInfo info;
-      if (myVariableInfos.TryGetValue(formalName, out info))
+    #region Parameter Methods
+    /// <inheritdoc/>
+    public virtual IParameter GetParameter(string name) {
+      IParameter info;
+      if (myParameters.TryGetValue(name, out info))
         return info;
       else
@@ -249,235 +160,24 @@
     /// <inheritdoc/>
     /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
-    public virtual void AddVariableInfo(IVariableInfo variableInfo) {
-      myVariableInfos.Add(variableInfo.FormalName, variableInfo);
-      OnVariableInfoAdded(variableInfo);
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
-    public virtual bool TryAddVariableInfo(IVariableInfo variableInfo) {
-      myVariableInfos.Add(variableInfo.FormalName, variableInfo);
-      if (IsValid()) {
-        OnVariableInfoAdded(variableInfo);
-        return true;
-      } else {
-        myVariableInfos.Remove(variableInfo.FormalName);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoAdded"/>.</remarks>
-    public virtual bool TryAddVariableInfo(IVariableInfo variableInfo, out ICollection<IConstraint> violatedConstraints) {
-      myVariableInfos.Add(variableInfo.FormalName, variableInfo);
-      if (IsValid(out violatedConstraints)) {
-        OnVariableInfoAdded(variableInfo);
-        return true;
-      } else {
-        myVariableInfos.Remove(variableInfo.FormalName);
-        return false;
-      }
+    public virtual void AddParameter(IParameter parameter) {
+      myParameters.Add(parameter.Name, parameter);
+      OnParameterAdded(parameter);
     }
     /// <inheritdoc/>
     /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
-    public virtual void RemoveVariableInfo(string formalName) {
-      IVariableInfo variableInfo;
-      if (myVariableInfos.TryGetValue(formalName, out variableInfo)) {
-        myVariableInfos.Remove(formalName);
-        OnVariableInfoRemoved(variableInfo);
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
-    public virtual bool TryRemoveVariableInfo(string formalName) {
-      IVariableInfo variableInfo;
-      if (myVariableInfos.TryGetValue(formalName, out variableInfo)) {
-        myVariableInfos.Remove(formalName);
-        if (IsValid()) {
-          OnVariableInfoRemoved(variableInfo);
-          return true;
-        } else {
-          myVariableInfos.Add(formalName, variableInfo);
-          return false;
-        }
-      }
-      return true;
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableInfoRemoved"/>.</remarks>
-    public virtual bool TryRemoveVariableInfo(string formalName, out ICollection<IConstraint> violatedConstraints) {
-      IVariableInfo variableInfo;
-      if (myVariableInfos.TryGetValue(formalName, out variableInfo)) {
-        myVariableInfos.Remove(formalName);
-        if (IsValid(out violatedConstraints)) {
-          OnVariableInfoRemoved(variableInfo);
-          return true;
-        } else {
-          myVariableInfos.Add(formalName, variableInfo);
-          return false;
-        }
-      }
-      violatedConstraints = new List<IConstraint>();
-      return true;
+    public virtual void RemoveParameter(string name) {
+      IParameter parameter;
+      if (myParameters.TryGetValue(name, out parameter)) {
+        myParameters.Remove(name);
+        OnParameterRemoved(parameter);
+      }
     }
     #endregion
 
-    #region Variable Methods
-    /// <inheritdoc/>
-    public virtual IVariable GetVariable(string name) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable))
-        return variable;
-      else
-        return null;
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual void AddVariable(IVariable variable) {
-      myVariables.Add(variable.Name, variable);
-      variable.NameChanging += new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-      variable.NameChanged += new EventHandler(Variable_NameChanged);
-      OnVariableAdded(variable);
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryAddVariable(IVariable variable) {
-      myVariables.Add(variable.Name, variable);
-      if (IsValid()) {
-        variable.NameChanging += new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-        variable.NameChanged += new EventHandler(Variable_NameChanged);
-        OnVariableAdded(variable);
-        return true;
-      } else {
-        myVariableInfos.Remove(variable.Name);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableAdded"/> and adds <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryAddVariable(IVariable variable, out ICollection<IConstraint> violatedConstraints) {
-      myVariables.Add(variable.Name, variable);
-      if (IsValid(out violatedConstraints)) {
-        variable.NameChanging += new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-        variable.NameChanged += new EventHandler(Variable_NameChanged);
-        OnVariableAdded(variable);
-        return true;
-      } else {
-        myVariableInfos.Remove(variable.Name);
-        return false;
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual void RemoveVariable(string name) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable)) {
-        variable.NameChanging -= new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-        variable.NameChanged -= new EventHandler(Variable_NameChanged);
-        myVariables.Remove(name);
-        OnVariableRemoved(variable);
-      }
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryRemoveVariable(string name) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable)) {
-        myVariables.Remove(name);
-        if (IsValid()) {
-          variable.NameChanging -= new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-          variable.NameChanged -= new EventHandler(Variable_NameChanged);
-          OnVariableRemoved(variable);
-          return true;
-        } else {
-          myVariables.Add(name, variable);
-          return false;
-        }
-      }
-      return true;
-    }
-    /// <inheritdoc/>
-    /// <remarks>Calls <see cref="OnVariableRemoved"/> and removes <c>NameChanging</c> and <c>NameChanged</c>
-    /// event handlers.</remarks>
-    public virtual bool TryRemoveVariable(string name, out ICollection<IConstraint> violatedConstraints) {
-      IVariable variable;
-      if (myVariables.TryGetValue(name, out variable)) {
-        myVariables.Remove(name);
-        if (IsValid(out violatedConstraints)) {
-          variable.NameChanging -= new EventHandler<NameChangingEventArgs>(Variable_NameChanging);
-          variable.NameChanged -= new EventHandler(Variable_NameChanged);
-          OnVariableRemoved(variable);
-          return true;
-        } else {
-          myVariables.Add(name, variable);
-          return false;
-        }
-      }
-      violatedConstraints = new List<IConstraint>();
-      return true;
-    }
-    private void Variable_NameChanging(object sender, NameChangingEventArgs e) {
-      e.Cancel = myVariables.ContainsKey(e.Name);
-    }
-    private void Variable_NameChanged(object sender, EventArgs e) {
-      IVariable variable = (IVariable)sender;
-      string oldName = null;
-      foreach (KeyValuePair<string, IVariable> element in myVariables) {
-        if (element.Value == variable)
-          oldName = element.Key;
-      }
-      myVariables.Remove(oldName);
-      myVariables.Add(variable.Name, variable);
-    }
-    /// <inheritdoc cref="IOperator.GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool)"/>
-    ///  <remarks>Calls <see cref="GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool, bool)"/> 
-    /// with <c>throwOnError</c> set to <c>false</c>.</remarks>
-    public T GetVariableValue<T>(string formalName, IScope scope, bool recursiveLookup) where T : class, IItem {
-      return GetVariableValue<T>(formalName, scope, recursiveLookup, true);
-    }
-    /// <inheritdoc cref="IOperator.GetVariableValue&lt;T&gt;(string, HeuristicLab.Core.IScope, bool, bool)"/>
-    /// <remarks>Calls 
-    /// <see cref="GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/>.</remarks>
-    public T GetVariableValue<T>(string formalName, IScope scope, bool recursiveLookup, bool throwOnError) where T : class, IItem {
-      return (T)GetVariableValue(formalName, scope, recursiveLookup, throwOnError);
-    }
-    /// <inheritdoc cref="IOperator.GetVariableValue(string, HeuristicLab.Core.IScope, bool)"/>
-    /// <remarks>Calls <see cref="GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/> 
-    /// with <c>throwOnError</c> set to <c>false</c>.</remarks>
-    public IItem GetVariableValue(string formalName, IScope scope, bool recursiveLookup) {
-      return GetVariableValue(formalName, scope, recursiveLookup, true);
-    }
-    /// <inheritdoc cref="IOperator.GetVariableValue(string, HeuristicLab.Core.IScope, bool, bool)"/>
-    public virtual IItem GetVariableValue(string formalName, IScope scope, bool recursiveLookup, bool throwOnError) {
-      IVariableInfo info = GetVariableInfo(formalName);
-      if (info.Local) {
-        IVariable variable;
-        if (myVariables.TryGetValue(info.ActualName, out variable))
-          return variable.Value;
-        else {
-          if (throwOnError)
-            throw new ArgumentException("Variable " + info.ActualName + " not found");
-          else
-            return null;
-        }
-      } else {
-        return scope.GetVariableValue(formalName, recursiveLookup, throwOnError);
-      }
-    }
-    #endregion
-    /// <inheritdoc/>
-    public virtual IOperation Execute(IScope scope) {
+    /// <inheritdoc/>
+    public virtual IOperation Execute(IEnvironment env, IScope scope) {
       myCanceled = false;
 
-      foreach (IVariableInfo variableInfo in VariableInfos)
-        scope.AddAlias(variableInfo.FormalName, variableInfo.ActualName);
-
-      IOperation next = Apply(scope);
-
-      foreach (IVariableInfo variableInfo in VariableInfos)
-        scope.RemoveAlias(variableInfo.FormalName);
+      IOperation next = Apply(env, scope);
 
       OnExecuted();
@@ -494,5 +194,5 @@
     /// <param name="scope">The scope where to execute the operator</param>
     /// <returns><c>null</c>.</returns>
-    public virtual IOperation Apply(IScope scope) {
+    public virtual IOperation Apply(IEnvironment env, IScope scope) {
       return null;
     }
@@ -540,42 +240,22 @@
     }
     /// <inheritdoc/>
-    public event EventHandler<VariableInfoEventArgs> VariableInfoAdded;
-    /// <summary>
-    /// Fires a new <c>VariableInfoAdded</c> event.
-    /// </summary>
-    /// <param name="variableInfo">The variable info that has been added.</param>
-    protected virtual void OnVariableInfoAdded(IVariableInfo variableInfo) {
-      if (VariableInfoAdded != null)
-        VariableInfoAdded(this, new VariableInfoEventArgs(variableInfo));
-    }
-    /// <inheritdoc/>
-    public event EventHandler<VariableInfoEventArgs> VariableInfoRemoved;
-    /// <summary>
-    /// Fires a new <c>VariableInfoRemoved</c> event.
-    /// </summary>
-    /// <param name="variableInfo">The variable info that has been removed.</param>
-    protected virtual void OnVariableInfoRemoved(IVariableInfo variableInfo) {
-      if (VariableInfoRemoved != null)
-        VariableInfoRemoved(this, new VariableInfoEventArgs(variableInfo));
-    }
-    /// <inheritdoc/>
-    public event EventHandler<VariableEventArgs> VariableAdded;
-    /// <summary>
-    /// Fires a new <c>VariableAdded</c> event.
-    /// </summary>
-    /// <param name="variable">The variable that has been added.</param>
-    protected virtual void OnVariableAdded(IVariable variable) {
-      if (VariableAdded != null)
-        VariableAdded(this, new VariableEventArgs(variable));
-    }
-    /// <inheritdoc/>
-    public event EventHandler<VariableEventArgs> VariableRemoved;
-    /// <summary>
-    /// Fires a new <c>VariableRemoved</c> event.
-    /// </summary>
-    /// <param name="variable">The variable that has been removed</param>
-    protected virtual void OnVariableRemoved(IVariable variable) {
-      if (VariableRemoved != null)
-        VariableRemoved(this, new VariableEventArgs(variable));
+    public event EventHandler<ParameterEventArgs> ParameterAdded;
+    /// <summary>
+    /// Fires a new <c>ParameterAdded</c> event.
+    /// </summary>
+    /// <param name="parameter">The parameter that has been added.</param>
+    protected virtual void OnParameterAdded(IParameter parameter) {
+      if (ParameterAdded != null)
+        ParameterAdded(this, new ParameterEventArgs(parameter));
+    }
+    /// <inheritdoc/>
+    public event EventHandler<ParameterEventArgs> ParameterRemoved;
+    /// <summary>
+    /// Fires a new <c>ParameterRemoved</c> event.
+    /// </summary>
+    /// <param name="parameter">The parameter that has been removed.</param>
+    protected virtual void OnParameterRemoved(IParameter parameter) {
+      if (ParameterRemoved != null)
+        ParameterRemoved(this, new ParameterEventArgs(parameter));
     }
     /// <inheritdoc/>
@@ -642,12 +322,8 @@
         subOperatorsNode.AppendChild(PersistenceManager.Persist(SubOperators[i], document, persistedObjects));
       node.AppendChild(subOperatorsNode);
-      XmlNode infosNode = document.CreateNode(XmlNodeType.Element, "VariableInfos", null);
-      foreach (IVariableInfo info in myVariableInfos.Values)
-        infosNode.AppendChild(PersistenceManager.Persist(info, document, persistedObjects));
-      node.AppendChild(infosNode);
-      XmlNode variablesNode = document.CreateNode(XmlNodeType.Element, "Variables", null);
-      foreach (IVariable variable in myVariables.Values)
-        variablesNode.AppendChild(PersistenceManager.Persist(variable, document, persistedObjects));
-      node.AppendChild(variablesNode);
+      XmlNode parametersNode = document.CreateNode(XmlNodeType.Element, "Parameters", null);
+      foreach (IParameter parameter in myParameters.Values)
+        parametersNode.AppendChild(PersistenceManager.Persist(parameter, document, persistedObjects));
+      node.AppendChild(parametersNode);
       return node;
     }
@@ -668,12 +344,8 @@
       for (int i = 0; i < subOperatorsNode.ChildNodes.Count; i++)
         AddSubOperator((IOperator)PersistenceManager.Restore(subOperatorsNode.ChildNodes[i], restoredObjects));
-      XmlNode infosNode = node.SelectSingleNode("VariableInfos");
-      myVariableInfos.Clear();
-      foreach (XmlNode infoNode in infosNode.ChildNodes)
-        AddVariableInfo((IVariableInfo)PersistenceManager.Restore(infoNode, restoredObjects));
-      XmlNode variablesNode = node.SelectSingleNode("Variables");
-      myVariables.Clear();
-      foreach (XmlNode variableNode in variablesNode.ChildNodes)
-        AddVariable((IVariable)PersistenceManager.Restore(variableNode, restoredObjects));
+      XmlNode parametersNode = node.SelectSingleNode("Parameters");
+      myParameters.Clear();
+      foreach (XmlNode parameterNode in parametersNode.ChildNodes)
+        AddParameter((IParameter)PersistenceManager.Restore(parameterNode, restoredObjects));
     }
     #endregion
Index: branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBaseParametersView.Designer.cs
===================================================================
--- branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBaseParametersView.Designer.cs	(revision 2027)
+++ branches/Operator Architecture Refactoring/HeuristicLab.Core/3.2/OperatorBaseParametersView.Designer.cs	(revision 2027)
@@ -0,0 +1,139 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+
+namespace HeuristicLab.Core {
+  partial class OperatorBaseParametersView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.parametersGroupBox = new System.Windows.Forms.GroupBox();
+      this.parametersListView = new System.Windows.Forms.ListView();
+      this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
+      this.parameterDetailsGroupBox = new System.Windows.Forms.GroupBox();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
+      this.parametersGroupBox.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // splitContainer
+      // 
+      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer.Name = "splitContainer";
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.parametersGroupBox);
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.parameterDetailsGroupBox);
+      this.splitContainer.Size = new System.Drawing.Size(423, 333);
+      this.splitContainer.SplitterDistance = 203;
+      this.splitContainer.TabIndex = 0;
+      // 
+      // parametersGroupBox
+      // 
+      this.parametersGroupBox.Controls.Add(this.parametersListView);
+      this.parametersGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.parametersGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.parametersGroupBox.Name = "parametersGroupBox";
+      this.parametersGroupBox.Size = new System.Drawing.Size(203, 333);
+      this.parametersGroupBox.TabIndex = 0;
+      this.parametersGroupBox.TabStop = false;
+      this.parametersGroupBox.Text = "&Parameters";
+      // 
+      // parametersListView
+      // 
+      this.parametersListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.columnHeader1});
+      this.parametersListView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.parametersListView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
+      this.parametersListView.HideSelection = false;
+      this.parametersListView.Location = new System.Drawing.Point(3, 16);
+      this.parametersListView.Name = "parametersListView";
+      this.parametersListView.Size = new System.Drawing.Size(197, 314);
+      this.parametersListView.Sorting = System.Windows.Forms.SortOrder.Ascending;
+      this.parametersListView.TabIndex = 0;
+      this.parametersListView.UseCompatibleStateImageBehavior = false;
+      this.parametersListView.View = System.Windows.Forms.View.Details;
+      this.parametersListView.SelectedIndexChanged += new System.EventHandler(this.parametersListView_SelectedIndexChanged);
+      this.parametersListView.SizeChanged += new System.EventHandler(this.parametersListView_SizeChanged);
+      // 
+      // parameterDetailsGroupBox
+      // 
+      this.parameterDetailsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.parameterDetailsGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.parameterDetailsGroupBox.Name = "parameterDetailsGroupBox";
+      this.parameterDetailsGroupBox.Size = new System.Drawing.Size(216, 333);
+      this.parameterDetailsGroupBox.TabIndex = 0;
+      this.parameterDetailsGroupBox.TabStop = false;
+      this.parameterDetailsGroupBox.Text = "&Details";
+      // 
+      // OperatorBaseParametersView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.splitContainer);
+      this.Name = "OperatorBaseParametersView";
+      this.Size = new System.Drawing.Size(423, 333);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      this.splitContainer.ResumeLayout(false);
+      this.parametersGroupBox.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.ColumnHeader columnHeader1;
+    protected SplitContainer splitContainer;
+    protected GroupBox parametersGroupBox;
+    protected ListView parametersListView;
+    protected GroupBox parameterDetailsGroupBox;
+  }
+}
